#!/bin/sh

URL="https://config.ionic.at/"
FILE="skel.tar.gz"

cd ${HOME}

# fetch file from server
TMP=`mktemp -u "config-updater-XXXXXX"`
curl -L -s "${URL}${FILE}" -o $TMP.tar.gz

# check if file exists and is not empty
if [ -e $TMP.tar.gz ]; then
	if [ -s $TMP.tar.gz ]; then
		# run pre-update commands if file exists
		if [ -r ${HOME}/var/system/config-updater/pre-update ]; then
			. ${HOME}/var/system/config-updater/pre-update
		fi

		# unpack new structure
		tar -xzf $TMP.tar.gz --strip-components=1

		# run post-update commands if file exists
		if [ -r ${HOME}/var/system/config-updater/post-update ]; then
			. ${HOME}/var/system/config-updater/post-update
		fi
	else
		echo "Could not fetch updated config, $TMP.tar.gz is empty"
	fi
else
	echo "Could not fetch updated config, $TMP.tar.gz is missing"
fi

rm -f $TMP.tar.gz
